<?php
declare(strict_types=1);

namespace App\Framework\Router\Exceptions;

use App\Framework\Exception\FrameworkException;

final class ParameterResolutionException extends FrameworkException
{

    /**
     * @param string $string
     * @param int $int
     * @param \Exception|ReflectionException $e
     */
    public function __construct(string $string, int $int, \Throwable $e) {
        parent::__construct($string, $int, $e);
    }
}
